goalGatherCarMaterial.mSteps = 
{
	-- These steps can only be performed after goalOpenTrunk is finished 
	-- AND These steps are needed for goalChangeTire to start.
	{ action = "click", object = objectHoTire },
	{ action = "click", object = objectHoLugwrench },
	{ action = "click", object = objectHoJackstand },
}

goalGatherCarMaterial.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGatherCarMaterial:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGatherCarMaterial:onLayoutShow(layout)
	
	if ((layout == layoutWoods1Engine) or (layout == layoutWoods1Tirechange)) then
		self.readyToStart = true
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherCarMaterial:onUsedAll(object, props)

	-- the battery wires is actually an IO, not a HO!
	-- see: layoutCryptKeypad
	if (object == objectHoWiresBattery) then
		self:achieved()
	end

end